== Why is this an issue?

include::../description.adoc[]

=== Noncompliant code example

With the default regular expression ``++^[A-Z]$++``:

[source,swift]
----
public class MyClass<TYPE> {    // Noncompliant
  func method<TYPE>(t : TYPE) { // Noncompliant
  }
}
----

=== Compliant solution

[source,swift]
----
public class MyClass<T> { 
  func method<T>(t : T) {
  }
}
----

ifdef::env-github,rspecator-view[]

'''
== Implementation Specification
(visible only on this page)

include::../message.adoc[]

=== Parameters

.format
****
_String_

----
^[A-Z]$
----

Regular expression used to check the type parameter names against.
****


'''
== Comments And Links
(visible only on this page)

include::../comments-and-links.adoc[]

endif::env-github,rspecator-view[]
